# Asterisk Project : Asterisk 13 ManagerEvent_Agents

Created by wikibot on Aug 08, 2014

# Agents

### Synopsis

Response event in a series to the Agents AMI action containing information about a defined agent.

### Description

The channel snapshot is present if the Status value is `AGENT_IDLE` or `AGENT_ONCALL`.

### Syntax

    Event: Agents
    Agent: <value>
    Name: <value>
    Status: <value>
    TalkingToChan: <value>
    CallStarted: <value>
    LoggedInTime: <value>
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    ActionID: <value>

##### Arguments

- `Agent` - Agent ID of the agent.
- `Name` - User friendly name of the agent.
- `Status` - Current status of the agent.
  The valid values are:
  - `AGENT_LOGGEDOFF`
  - `AGENT_IDLE`
  - `AGENT_ONCALL`
- `TalkingToChan` - BRIDGEPEER value on agent channel.
  Present if Status value is `AGENT_ONCALL`.
- `CallStarted` - Epoche time when the agent started talking with the caller.
  Present if Status value is `AGENT_ONCALL`.
- `LoggedInTime` - Epoche time when the agent logged in.
  Present if Status value is `AGENT_IDLE` or `AGENT_ONCALL`.
- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `ActionID` - ActionID for this transaction. Will be returned.

### Class

AGENT

### See Also

- Asterisk 13 ManagerAction_Agents

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538